import request from "./request";
import ErrorCodes from "./error-codes";
import { IStringIndexed } from "../types";
export { ErrorCodes };
export { request };
export declare function get(url: string, customHeaders?: IStringIndexed): Promise<Response>;
export declare function del(url: string, customHeaders?: IStringIndexed): Promise<Response>;
export declare function post(url: string, body: {} | Blob, isForm?: boolean, customHeaders?: IStringIndexed): Promise<Response>;
export declare function put(url: string, body: {} | Blob, isForm?: boolean, customHeaders?: IStringIndexed): Promise<Response>;
