"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const util_1 = require("util");
exports.default = {
    exists: util_1.promisify(fs_1.exists),
    mkdir: util_1.promisify(fs_1.mkdir),
    readdir: util_1.promisify(fs_1.readdir),
    readFile: util_1.promisify(fs_1.readFile),
    stat: util_1.promisify(fs_1.stat),
    unlink: util_1.promisify(fs_1.unlink),
    writeFile: util_1.promisify(fs_1.writeFile),
    copy: util_1.promisify(fs_1.copyFile),
    symlink: util_1.promisify(fs_1.symlink)
};
//# sourceMappingURL=promisified.js.map