"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function clamp(val, min, max) {
    return Math.min(Math.max(min, val), max);
}
exports.clamp = clamp;
function lerp(from, to, t) {
    return from + clamp(t, 0, 1) * (to - from);
}
exports.lerp = lerp;
//# sourceMappingURL=math.js.map