"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
async function delay(ms) {
    return new Promise(res => setTimeout(res, ms));
}
exports.delay = delay;
async function series(arr, cb) {
    const ret = [];
    let i = 0;
    await arr.reduce(async (a, v) => {
        await a;
        const result = await cb(v, i, arr);
        i++;
        ret.push(result);
    }, Promise.resolve());
    return ret;
}
exports.series = series;
//# sourceMappingURL=promise.js.map