"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const promise_1 = require("./promise");
function removeHash() {
    const [url] = window.location.toString().split("#");
    window.history.replaceState({}, document.title, url);
}
exports.removeHash = removeHash;
async function nextFrame() {
    return new Promise(res => window.requestAnimationFrame(res));
}
exports.nextFrame = nextFrame;
async function limitFramerate(ms) {
    await Promise.all([nextFrame(), promise_1.delay(ms)]);
}
exports.limitFramerate = limitFramerate;
//# sourceMappingURL=browser.js.map