/// <reference types="node" />
import { SpawnOptions, ExecOptions } from "./promisified";
import { ChildProcess } from "child_process";
export declare function exec(command: string, options?: ExecOptions & {
    encoding?: BufferEncoding | null;
}): Promise<{
    stdout: string | Buffer;
    stderr: string | Buffer;
}>;
export declare function spawn(command: string, args?: ReadonlyArray<string>, options?: SpawnOptions): Promise<ChildProcess>;
