"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const crypto_1 = require("crypto");
exports.randomBytes = crypto_1.randomBytes;
const BYTE_POWER_OF_BITS = 3;
function randomString(length = 32) {
    return crypto_1.randomBytes(length >> 1).toString("hex");
}
exports.randomString = randomString;
function randomInt(length = 32) {
    return crypto_1.randomBytes(length).reduce((a, v, i) => (a += v << (i * BYTE_POWER_OF_BITS)), 0);
}
exports.randomInt = randomInt;
//# sourceMappingURL=random.js.map